Create meter read
curl --request POST \
--url https://api.voltview.co.uk/v1/meters/{meterId}/reads \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"readValue": 123,
"readDate": "2023-11-07T05:31:56Z",
"notes": "<string>"
}
'import requests
url = "https://api.voltview.co.uk/v1/meters/{meterId}/reads"
payload = {
"readValue": 123,
"readDate": "2023-11-07T05:31:56Z",
"notes": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({readValue: 123, readDate: '2023-11-07T05:31:56Z', notes: '<string>'})
};
fetch('https://api.voltview.co.uk/v1/meters/{meterId}/reads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"meterId": "<string>",
"readValue": 123,
"readDate": "2023-11-07T05:31:56Z",
"readType": "ACTUAL",
"registerCode": "TOTAL",
"source": "MANUAL",
"notes": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}{
"type": "error",
"error": {
"type": "invalid_request_error",
"message": "Invalid request"
}
}Meters
Create meter read
Create a new meter read.
POST
/
v1
/
meters
/
{meterId}
/
reads
Create meter read
Authorizations
VoltView API key
Path Parameters
UUID of the meter
Body
application/json
Meter reading value
Date of the reading (ISO 8601)
Type of reading
Available options:
ACTUAL, ESTIMATED, CUSTOMER Register code
Available options:
TOTAL, DAY, NIGHT, PEAK, OFF_PEAK Source of the reading
Available options:
MANUAL, INVOICE, SMART_METER, SUPPLIER_API Additional notes
Response
Meter read created successfully
Meter read identifier
Associated meter identifier
Meter reading value
Date of the reading
Type of reading
Available options:
ACTUAL, ESTIMATED, CUSTOMER Register code
Available options:
TOTAL, DAY, NIGHT, PEAK, OFF_PEAK Source of the reading
Available options:
MANUAL, INVOICE, SMART_METER, SUPPLIER_API Additional notes
Creation timestamp